UserBelonging (My VREs Portlet 2.0.0-SNAPSHOT API)
Date: 2016-03-29

org.gcube.portlet.user.my_vres.shared

## Enum UserBelonging

- java.lang.Object
- - java.lang.Enum<UserBelonging>
  - - org.gcube.portlet.user.my_vres.shared.UserBelonging

- All Implemented Interfaces:
    Serializable, Comparable<UserBelonging>

      public enum UserBelonging
      extends Enum<UserBelonging>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BELONGING`
    `NOT_BELONGING`
    `PENDING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserBelonging` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserBelonging[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BELONGING

          public static final UserBelonging BELONGING

    - #### NOT_BELONGING

          public static final UserBelonging NOT_BELONGING

    - #### PENDING

          public static final UserBelonging PENDING

  - ### Method Detail

    - #### values

          public static UserBelonging[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserBelonging c : UserBelonging.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserBelonging valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016. All Rights Reserved.